=begin JA

= Ū¸

# * ⶶ ˧ (yot)
#   * $Id: exp-Venuslike.rd,v 1.3 2011-02-20 01:09:04 yot Exp $

=end JA
=begin EN

= Experiment for Venus-like planet

# * Yoshiyuki O. Takahashi (yot)
#   * $Id: exp-Venuslike.rd,v 1.3 2011-02-20 01:09:04 yot Exp $

=end EN


=begin JA
Yamamoto and Takahashi (2003) ˻ͿŪ
¸¹Ԥˡޤ. 
=end JA
=begin EN
A method to perform an experiment for Venus-like planet by using forcing by 
Yamamoto and Takahashi (2003) is described.
=end EN


=begin JA
== 
ܼ¸ϼ¸ѥǡѤʤ, ʲ 3 ĤΥƥåפǹԤޤ.

  * ¸ǥ쥯ȥν
  * ͤν
  * ¸μ¹
=end JA
=begin EN
== Overview
This experiment does not require additional data. So, the experiment is performed 
with the following 3 steps:

  * Preparation of directory for experiments
  * Preparation of initial condition
  * Execution of experiments
=end EN


=begin JA

== ¸ѥǥ쥯ȥ

practice ǥ쥯ȥ˰ưƤ.

  $ cd practice

Υǥ쥯ȥ, make ޥɤ¹ԤƤ.
ưŪ˼¹ԥե NAMELIST ե뤬ԡޤ. 
make ޥϸ, ޤǥ쥯ȥ̾ŬϤƤ.
(Ǥ Venuslike-exp ȤƤޤ). 
ʹߤμϤȤꤢΤޤ Enter ϤƤ. 

  $ make

  ****** Setup a directory for a experiment ******

    Enter directory name [testXX]: Venuslike-exp
    Directory in which executable files are prepared
      [../src/main]:
    Directory in which NAMELIST files are prepared
      [../src/main]:
    Save F90/95 source code files? [y/N]:

                  :

  *** Setup of "Venuslike-exp" is complete ***

Venuslike-exp Ȥǥ쥯ȥ꤬, 
¹ԥե NAMELIST ե, ɤԡޤ.
Venuslike-exp ǥ쥯ȥ˰ưƤ.

  $ cd Venuslike-exp

ʤ, Υǥ쥯ȥʳǤ, ¹ԥե, ե (namelist ե) 
з׻ԤȤϤǤޤ. 

=end JA
=begin EN

== Preparation of a directory for experiments

Move to "practice" directory.

  $ cd practice

In the directory, execute 'make' command. 
The execution files and the NAMELIST files will be automatically copied. 
Input directory name after inputting 'make' command. 
(It is assumed "Venuslike-exp" in the following example). 
Input 'Enter' to the question after that. 

  $ make

  ****** Setup a directory for a experiment ******

    Enter directory name [testXX]: Venuslike-exp
    Directory in which executable files are prepared
      [../src/main]:
    Directory in which NAMELIST files are prepared
      [../src/main]:
    Save F90/95 source code files? [y/N]: 

                  :

  *** Setup of "Venuslike-exp" is complete ***

Then a directory 'Venuslike-exp' is created, and executable files,
NAMELIST files, and source code files are copied to the
directory.
Move the 'Venuslike-exp'.

  $ cd Venuslike-exp

Note that you can perform an experiment in any directory by using executable files and configuration (namelist) files.


=end EN


=begin JA

== ͥǡեκ

init_data  init_data_Vlp_T10L50.nml
Ѥƽͥե init_T10L50.nc ޤ. 

  $ ./init_data -N=init_data_Vlp_T10L50.nml

   *** MESSAGE [init_data] ***  Run: Initial data generation
   *** MESSAGE [init_data] ***  -- version = $Name: dcpam5-20110221-4 $$Id: exp-Venuslike.rd,v 1.3 2011-02-20 01:09:04 yot Exp $
   *** MESSAGE [namelist_util] ***  ----- Initialization Messages -----
   *** MESSAGE [namelist_util] ***    MaxNmlArySize = 256
   *** MESSAGE [namelist_util] ***  -- version = $Name: dcpam5-20110221-4 $$Id: exp-Venuslike.rd,v 1.3 2011-02-20 01:09:04 yot Exp $
   *** WARNING [timeset] ***  NAMELIST group "timeset_nml" is not found in "init_data_Vlp_T10L50.nml" (iostat=186).
   *** MESSAGE [timeset] ***  ----- Initialization Messages -----
                         : 
   *** MESSAGE [initial_data] ***  ----- Initialization Messages -----
   *** MESSAGE [initial_data] ***    Pattern = SmallVapAvr = 0.
   *** MESSAGE [initial_data] ***    Ueq     = 0.
   *** MESSAGE [initial_data] ***
   *** MESSAGE [initial_data] ***  -- version = $Name: dcpam5-20110221-4 $$Id: exp-Venuslike.rd,v 1.3 2011-02-20 01:09:04 yot Exp $


== ¸μ¹

¹ԥե "dcpam_main"  NAMELIST ե
((<dcpam_Vlp_T10L50.nml|URL:../../../src/main/dcpam_Vlp_T10L50.nml>))
Ѥ, ʲΤ褦 dcpam_main ¹ԤƤ. 
ץཪλˤϿʬʬޤ. 

(ʤ, ѥĶǤϰʲˡǥץ
¹Ԥ뤳ȤϤǤʤΤդƤ. ξμ¹ˡ
˴ؤƤ, δĶǤΥץ¹ԥޥ˥奢ʤɤ򻲾Ȥ. )

  $ ./dcpam_main -N=dcpam_Vlp_T10L50.nml | tee Vlp.log

   *** MESSAGE [namelist_util] ***  ----- Initialization Messages -----
   *** MESSAGE [namelist_util] ***    MaxNmlArySize = 256
   *** MESSAGE [namelist_util] ***  -- version = $Name: dcpam5-20110221-4 $$Id: exp-Venuslike.rd,v 1.3 2011-02-20 01:09:04 yot Exp $
   *** MESSAGE [dcpam_main] ***  NAMELIST group "dcpam_main_nml" is loaded from "dcpam_Vlp_T10L50.nml".
   &DCPAM_MAIN_NML FLAGDYNAMICS=T,FLAGFULLPHYSICS=F,FLAGHS94=F,FLAGVENUSSIMPLE=T,FLAGJUPITERSIMPLE=F,FLAGRADIATIONDENNOUAGCM=T,FLAGRADIATIONDCPAMEV1=F,FLAGRADIATIONDCPAMMV1=F,FLAGRADIATIONSL09=F,FLAGPHYIMP1LAYMODEL=T,FLAGPHYIMPSOILMODEL=F,FLAGPHYIMPSOILMODELSO=F,FLAGPHYIMPATMONLY=F,FLAGVERTICALFILTER=F/
   *** MESSAGE [dcpam_main] ***  FlagDynamics=<T>.
   *** MESSAGE [dcpam_main] ***  FlagRadiationDennouAGCM=<T>.
   *** MESSAGE [dcpam_main] ***  FlagRadiationDcpamEV1  =<F>.
   *** MESSAGE [dcpam_main] ***  FlagRadiationDcpamMV1  =<F>.
                     :
   *** MESSAGE [HistoryClose] ***  "VUBalance.nc" is closed
  
   ############## CPU TIME SUMMARY ################
   surface_properties     0.000000E+00
   auxiliary              0.108007E+00
   vdiffusion_my1974      0.520025E-01
   dynamics_hspl_vas83    0.187212E+01
   mass_fixer             0.280015E-01
   check_prog_vars        0.800041E-02
   timefilter_asselin19   0.280015E-01
   others                 0.552037E+00
   ------------------------------------------------
          TOTAL TIME =    0.264816E+01


ξ, 5 ʬλʬԤޤ. 
ֲ٤ T10L50 (ٳʻ 32,  16, ľؿ 50) Ǥ. 
׻̤ U.nc  Temp.nc ȤƽϤޤ. 
ޤ, ꥹȥե뤬 restart.nc ȤƽϤޤ. 

=end JA

=begin EN

== Create initial data file

Create initial data file "init_T10L50.nc"
using "init_data" and "init_data_Vlp_T10L50.nml" 
  
  $ ./init_data -N=init_data_Vlp_T10L50.nml

   *** MESSAGE [init_data] ***  Run: Initial data generation
   *** MESSAGE [init_data] ***  -- version = $Name: dcpam5-20110221-4 $$Id: exp-Venuslike.rd,v 1.3 2011-02-20 01:09:04 yot Exp $
   *** MESSAGE [namelist_util] ***  ----- Initialization Messages -----
   *** MESSAGE [namelist_util] ***    MaxNmlArySize = 256
   *** MESSAGE [namelist_util] ***  -- version = $Name: dcpam5-20110221-4 $$Id: exp-Venuslike.rd,v 1.3 2011-02-20 01:09:04 yot Exp $
   *** WARNING [timeset] ***  NAMELIST group "timeset_nml" is not found in "init_data_Vlp_T10L50.nml" (iostat=186).
   *** MESSAGE [timeset] ***  ----- Initialization Messages -----
                         : 
   *** MESSAGE [initial_data] ***  ----- Initialization Messages -----
   *** MESSAGE [initial_data] ***    Pattern = SmallVapAvr = 0.
   *** MESSAGE [initial_data] ***    Ueq     = 0.
   *** MESSAGE [initial_data] ***
   *** MESSAGE [initial_data] ***  -- version = $Name: dcpam5-20110221-4 $$Id: exp-Venuslike.rd,v 1.3 2011-02-20 01:09:04 yot Exp $


== Run the experiment

Using an executable files 'dcpam_main' and a NAMELIST file
((<dcpam_Vlp_T10L50.nml|URL:../../../src/main/dcpam_Vlp_T10L50.nml>)), 
execute 'dcpam_main' as follows. 
This program will be finished in few minutes - tens of minutes. 

  $ ./dcpam_main -N=dcpam_Vlp_T10L50.nml | tee Vlp.log

   *** MESSAGE [namelist_util] ***  ----- Initialization Messages -----
   *** MESSAGE [namelist_util] ***    MaxNmlArySize = 256
   *** MESSAGE [namelist_util] ***  -- version = $Name: dcpam5-20110221-4 $$Id: exp-Venuslike.rd,v 1.3 2011-02-20 01:09:04 yot Exp $
   *** MESSAGE [dcpam_main] ***  NAMELIST group "dcpam_main_nml" is loaded from "dcpam_Vlp_T10L50.nml".
   &DCPAM_MAIN_NML FLAGDYNAMICS=T,FLAGFULLPHYSICS=F,FLAGHS94=F,FLAGVENUSSIMPLE=T,FLAGJUPITERSIMPLE=F,FLAGRADIATIONDENNOUAGCM=T,FLAGRADIATIONDCPAMEV1=F,FLAGRADIATIONDCPAMMV1=F,FLAGRADIATIONSL09=F,FLAGPHYIMP1LAYMODEL=T,FLAGPHYIMPSOILMODEL=F,FLAGPHYIMPSOILMODELSO=F,FLAGPHYIMPATMONLY=F,FLAGVERTICALFILTER=F/
   *** MESSAGE [dcpam_main] ***  FlagDynamics=<T>.
   *** MESSAGE [dcpam_main] ***  FlagRadiationDennouAGCM=<T>.
   *** MESSAGE [dcpam_main] ***  FlagRadiationDcpamEV1  =<F>.
   *** MESSAGE [dcpam_main] ***  FlagRadiationDcpamMV1  =<F>.
                     :
   *** MESSAGE [HistoryClose] ***  "VUBalance.nc" is closed
  
   ############## CPU TIME SUMMARY ################
   surface_properties     0.000000E+00
   auxiliary              0.108007E+00
   vdiffusion_my1974      0.520025E-01
   dynamics_hspl_vas83    0.187212E+01
   mass_fixer             0.280015E-01
   check_prog_vars        0.800041E-02
   timefilter_asselin19   0.280015E-01
   others                 0.552037E+00
   ------------------------------------------------
          TOTAL TIME =    0.264816E+01

In this case, 5 days integration is performed. 
Resolution is T10L50 (Number of grid points of longitude, latitude is 
32, 16, and number of vertical layer is 50). 
History data are output to 'U.nc' and 'Temp.nc' etc., 
and a restart data is output to 'restart.nc'. 


=end EN


=begin JA
== ʸ
=end JA

=begin EN
== References
=end EN

=begin
* Yamamoto, M, and M. Takahashi, 2003:
  The fully developed superrotation simulated by a general circulation model
  of a Venus-like atmosphere,
  ((|J. Atmos. Sci.|)), ((*60*)), 561--574.
=end


=begin HTML
<hr />
<small>
  $Id: exp-Venuslike.rd,v 1.3 2011-02-20 01:09:04 yot Exp $
</small>
=end HTML

